## EProxyComboBox

EProxyComboBox — Combo box of proxy profiles

## Functions

GtkWidget * | e_proxy_combo_box_new ()
void | e_proxy_combo_box_refresh ()
ESourceRegistry * | e_proxy_combo_box_get_registry ()

## Properties

ESourceRegistry * | registry | Read / Write / Construct Only

## Types and Values

struct | EProxyComboBox

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkComboBox
                            ╰── EProxyComboBox

## Implemented Interfaces

EProxyComboBox implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

## Includes

    #include <e-util/e-util.h>

## Description

EProxyComboBox is a combo box of available proxy profiles, as described by ESource instances with an ESourceProxy extension. For convenience, the combo box model's “id-column” is populated with ESource “uid” strings.

## Functions

### e_proxy_combo_box_new ()

    GtkWidget *
    e_proxy_combo_box_new (ESourceRegistry *registry);

Creates a new EProxyComboBox widget using ESource instances in `registry` .

#### Parameters

registry | an ESourceRegistry |

#### Returns

a new EProxyComboBox

### e_proxy_combo_box_refresh ()

    void
    e_proxy_combo_box_refresh (EProxyComboBox *combo_box);

Rebuilds the combo box model with an updated list of ESource instances that describe a network proxy profile, without disrupting the previously active item (if possible).

This function is called automatically in response to ESourceRegistry signals which are pertinent to the `combo_box` .

#### Parameters

combo_box | an EProxyComboBox |

### e_proxy_combo_box_get_registry ()

    ESourceRegistry *
    e_proxy_combo_box_get_registry (EProxyComboBox *combo_box);

Returns the ESourceRegistry passed to `e_proxy_combo_box_new()`.

#### Parameters

combo_box | an EProxyComboBox |

#### Returns

an ESourceRegistry

## Types and Values

### struct EProxyComboBox

    struct EProxyComboBox;

Contains only private data that should be read and manipulated using the functions below.

## Property Details

### The `“registry”` property

      “registry”                 ESourceRegistry *

Data source registry.

Flags: Read / Write / Construct Only